> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getPayrollJournalReport

> The `getPayrollJournalReport` API generates accounting journal entries for payroll transactions.

### What it does:

- Returns journal entry data for payroll transactions
- Encompasses a single pay period
- Provides highly detailed accounting information needed for accurate tax reporting
- Reports year-to-date measures for employees

### Notes:

- Either startDate **and** endDate or payPeriodId are required
- Used for tax system integration and financial reporting
- Retrieves data for all employees within a company so should be used as an administrative function



## OpenAPI

````yaml get /reports/getPayrollJournalReport
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getPayrollJournalReport:
    get:
      tags: []
      summary: getPayrollJournalReport
      description: >-
        The `getPayrollJournalReport` API generates accounting journal entries
        for payroll transactions.


        ### What it does:


        - Returns journal entry data for payroll transactions

        - Encompasses a single pay period

        - Provides highly detailed accounting information needed for accurate
        tax reporting

        - Reports year-to-date measures for employees


        ### Notes:


        - Either startDate **and** endDate or payPeriodId are required

        - Used for tax system integration and financial reporting

        - Retrieves data for all employees within a company so should be used as
        an administrative function
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getPayrollJournalReport
                  example: getPayrollJournalReport
                payPeriodId:
                  type: string
                  format: uuid
                companyId:
                  type: string
                  format: uuid
                startDate:
                  type: string
                endDate:
                  type: string
              required:
                - method
                - companyId
            example:
              method: getPayrollJournalReports
              payPeriodId: 5465C126-BACD-4593-97CE-24243FFFC998
              companyId: C3C91397-CDBA-44E0-A296-0BFC9A4DFDF5
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payrollJournalReport:
                    type: object
                    properties:
                      companyName:
                        type: string
                      companyPhone:
                        type: string
                      companyAddress:
                        type: object
                        properties:
                          address:
                            type: string
                          address1:
                            type: string
                          address2:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          zipcode:
                            type: string
                        required:
                          - address
                          - address1
                          - address2
                          - city
                          - state
                          - zipcode
                      payPeriod:
                        type: string
                      payBeginDate:
                        type: string
                      payEndDate:
                        type: string
                      payDate:
                        type: string
                      payPeriodStatus:
                        type: string
                      workerType:
                        type: string
                    required:
                      - companyName
                      - companyPhone
                      - companyAddress
                      - payPeriod
                      - payBeginDate
                      - payEndDate
                      - payDate
                      - payPeriodStatus
                      - workerType
                  employees:
                    type: array
                    items:
                      type: object
                      properties:
                        employeeName:
                          type: string
                        employeeId:
                          type: string
                        jobTitle:
                          type: string
                        wageBasis:
                          type: string
                        earnings:
                          type: object
                          properties:
                            items:
                              type: array
                              items:
                                type: object
                                properties:
                                  description:
                                    type: string
                                  hours:
                                    type: integer
                                    nullable: true
                                  total:
                                    type: number
                                  rate:
                                    type: number
                                    nullable: true
                                required:
                                  - description
                                  - hours
                                  - total
                                  - rate
                            totalEarnings:
                              type: number
                          required:
                            - items
                            - totalEarnings
                        deductions:
                          type: object
                          properties:
                            items:
                              type: array
                              items:
                                type: object
                                properties:
                                  description:
                                    type: string
                                  type:
                                    type: string
                                  amount:
                                    type: integer
                                  amountYTD:
                                    type: integer
                                required:
                                  - description
                                  - type
                                  - amount
                                  - amountYTD
                            garnishments:
                              type: array
                              items:
                                type: string
                            totalDeductions:
                              type: integer
                          required:
                            - items
                            - garnishments
                            - totalDeductions
                        employeeTaxes:
                          type: object
                          properties:
                            items:
                              type: array
                              items:
                                type: object
                                properties:
                                  taxName:
                                    type: string
                                  amount:
                                    type: number
                                required:
                                  - taxName
                                  - amount
                            totalEmployeeTaxes:
                              type: number
                          required:
                            - items
                            - totalEmployeeTaxes
                        employerTaxes:
                          type: object
                          properties:
                            items:
                              type: array
                              items:
                                type: object
                                properties:
                                  taxName:
                                    type: string
                                  amount:
                                    type: number
                                required:
                                  - taxName
                                  - amount
                            totalEmployerTaxes:
                              type: number
                          required:
                            - items
                            - totalEmployerTaxes
                        netPayDistribution:
                          type: array
                          items:
                            type: object
                            properties:
                              description:
                                type: string
                              amount:
                                type: number
                            required:
                              - description
                              - amount
                        timeOffs:
                          type: array
                          items:
                            type: object
                            properties:
                              leaveType:
                                type: string
                              amount:
                                type: number
                              hours:
                                type: integer
                            required:
                              - leaveType
                              - hours
                        netPay:
                          type: number
                      required:
                        - employeeName
                        - employeeId
                        - jobTitle
                        - wageBasis
                        - earnings
                        - deductions
                        - employeeTaxes
                        - employerTaxes
                        - netPayDistribution
                        - timeOffs
                        - netPay
                  companyTotal:
                    type: object
                    properties:
                      totalEarnings:
                        type: number
                      totalDeductions:
                        type: integer
                      employeeTaxes:
                        type: array
                        items:
                          type: object
                          properties:
                            taxName:
                              type: string
                            amount:
                              type: number
                          required:
                            - taxName
                            - amount
                      totalEmployeeTaxes:
                        type: number
                      employerTaxes:
                        type: array
                        items:
                          type: object
                          properties:
                            taxName:
                              type: string
                            amount:
                              type: number
                          required:
                            - taxName
                            - amount
                      totalEmployerTaxes:
                        type: number
                      netPay:
                        type: number
                    required:
                      - totalEarnings
                      - totalDeductions
                      - employeeTaxes
                      - totalEmployeeTaxes
                      - employerTaxes
                      - totalEmployerTaxes
                      - netPay
                required:
                  - payrollJournalReport
                  - employees
                  - companyTotal
              example:
                startDate: '2024-01-01'
                endDate: '2026-01-01'
                payPeriods:
                  - payrollJournalReport:
                      companyName: Fax limited
                      companyPhone: '8548566632'
                      companyAddress:
                        address: 8745 Colard Ln , Lyons, CO, 80540
                        address1: 8745 Colard Ln
                        address2: ''
                        city: Lyons
                        state: CO
                        zipcode: '80540'
                      payPeriod: 10/10/2025 - 10/10/2025
                      payBeginDate: '2025-10-10'
                      payEndDate: '2025-10-10'
                      payDate: '2025-09-25'
                      payPeriodStatus: 'DRAFT: NOT SUBMITTED'
                      workerType: W2
                    employees:
                      - employeeName: Eric Jale
                        employeeId: D74EFBA4-24E1-4174-B348-6515E6275FB3
                        jobTitle: HR
                        wageBasis: Per Month
                        earnings:
                          items:
                            - description: Salary
                              hours: 8
                              total: 4.35
                            - description: Bonus
                              hours: null
                              rate: null
                              total: 4000
                            - description: Driving
                              hours: null
                              rate: null
                              total: 10
                            - description: Retro
                              hours: null
                              rate: null
                              total: 10
                          totalEarnings: 4024.35
                        deductions:
                          items:
                            - description: Simple IRA
                              type: Employee Deduction
                              amount: 3
                              amountYTD: 0
                          garnishments: []
                          totalDeductions: 3
                        employeeTaxes:
                          items:
                            - taxName: Medicare
                              amount: 58.21
                            - taxName: Social Security Tax
                              amount: 248.89
                            - taxName: Federal Income Tax
                              amount: 880
                            - taxName: CO - State Income Tax
                              amount: 176
                            - taxName: CO - Family Leave Insurance
                              amount: 18.06
                          totalEmployeeTaxes: 1381.16
                        employerTaxes:
                          items:
                            - taxName: Unemployment Tax
                              amount: 24.09
                            - taxName: Medicare Tax
                              amount: 58.21
                            - taxName: Social Security
                              amount: 248.89
                            - taxName: CO - State Unemployment Insurance
                              amount: 50.18
                            - taxName: CO - State Umeployment Tax Surcharge
                              amount: 54.19
                            - taxName: CO - State Umeployment Tax Surcharge
                              amount: 6.82
                          totalEmployerTaxes: 442.38
                        netPayDistribution: []
                        timeOffs:
                          - leaveType: Unpaid
                            hours: 2
                        netPay: 2640.19
                    companyTotal:
                      totalEarnings: 4024.35
                      totalDeductions: 3
                      employeeTaxes:
                        - taxName: Medicare
                          amount: 58.21
                        - taxName: Social Security Tax
                          amount: 248.89
                        - taxName: Federal Income Tax
                          amount: 880
                        - taxName: CO - State Income Tax
                          amount: 176
                        - taxName: CO - Family Leave Insurance
                          amount: 18.06
                      totalEmployeeTaxes: 1381.16
                      employerTaxes:
                        - taxName: Unemployment Tax
                          amount: 24.09
                        - taxName: Medicare Tax
                          amount: 58.21
                        - taxName: Social Security
                          amount: 248.89
                        - taxName: CO - State Unemployment Insurance
                          amount: 50.18
                        - taxName: CO - State Umeployment Tax Surcharge
                          amount: 61.01
                      totalEmployerTaxes: 442.38
                      netPay: 2640.19
                  - payrollJournalReport:
                      companyName: Fax limited
                      companyPhone: '8548566632'
                      companyAddress:
                        address: 8745 Colard Ln , Lyons, CO, 80540
                        address1: 8745 Colard Ln
                        address2: ''
                        city: Lyons
                        state: CO
                        zipcode: '80540'
                      payPeriod: 10/02/2025 - 10/10/2025
                      payBeginDate: '2025-10-02'
                      payEndDate: '2025-10-10'
                      payDate: '2025-10-10'
                      payPeriodStatus: 'DRAFT: NOT SUBMITTED'
                      workerType: W2
                    employees:
                      - employeeName: Abdul Pasha
                        employeeId: FA937C14-5DFE-40B3-B2C2-19BA2E988DCF
                        jobTitle: sde
                        wageBasis: Per Month
                        earnings:
                          items:
                            - description: Salary
                              hours: 56
                              total: 3750.17
                          totalEarnings: 3750.17
                        deductions:
                          items: []
                          garnishments: []
                          totalDeductions: 0
                        employeeTaxes:
                          items:
                            - taxName: Medicare
                              amount: 54.38
                            - taxName: Social Security Tax
                              amount: 232.51
                            - taxName: CA - State Disability Insurance
                              amount: 45
                          totalEmployeeTaxes: 331.89
                        employerTaxes:
                          items:
                            - taxName: Unemployment Tax
                              amount: 22.5
                            - taxName: Medicare Tax
                              amount: 54.38
                            - taxName: Social Security
                              amount: 232.51
                            - taxName: CA - State Unemployment Insurance
                              amount: 46.88
                            - taxName: CA - State Umeployment Tax Surcharge
                              amount: 3.75
                          totalEmployerTaxes: 360.02
                        netPayDistribution: []
                        timeOffs: []
                        netPay: 3418.28
                      - employeeName: Binny Shine
                        employeeId: FE2C85F1-A8DB-4AD7-A342-D375BD54F387
                        jobTitle: hr
                        wageBasis: Per Month
                        earnings:
                          items:
                            - description: Salary
                              hours: 56
                              total: 2708.7
                          totalEarnings: 2708.7
                        deductions:
                          items: []
                          garnishments: []
                          totalDeductions: 0
                        employeeTaxes:
                          items:
                            - taxName: Medicare
                              amount: 39.28
                            - taxName: Social Security Tax
                              amount: 167.94
                            - taxName: CO - Family Leave Insurance
                              amount: 12.19
                          totalEmployeeTaxes: 219.41
                        employerTaxes:
                          items:
                            - taxName: Unemployment Tax
                              amount: 16.25
                            - taxName: Medicare Tax
                              amount: 39.28
                            - taxName: Social Security
                              amount: 167.94
                            - taxName: CO - State Unemployment Insurance
                              amount: 33.86
                            - taxName: CO - State Umeployment Tax Surcharge
                              amount: 36.57
                            - taxName: CO - State Umeployment Tax Surcharge
                              amount: 4.6
                          totalEmployerTaxes: 298.5
                        netPayDistribution: []
                        timeOffs: []
                        netPay: 2489.29
                    companyTotal:
                      totalEarnings: 6458.87
                      totalDeductions: 0
                      employeeTaxes:
                        - taxName: Medicare
                          amount: 93.66
                        - taxName: Social Security Tax
                          amount: 400.45
                        - taxName: CA - State Disability Insurance
                          amount: 45
                        - taxName: CO - Family Leave Insurance
                          amount: 12.19
                      totalEmployeeTaxes: 551.3
                      employerTaxes:
                        - taxName: Unemployment Tax
                          amount: 38.75
                        - taxName: Medicare Tax
                          amount: 93.66
                        - taxName: Social Security
                          amount: 400.45
                        - taxName: CA - State Unemployment Insurance
                          amount: 46.88
                        - taxName: CA - State Umeployment Tax Surcharge
                          amount: 3.75
                        - taxName: CO - State Unemployment Insurance
                          amount: 33.86
                        - taxName: CO - State Umeployment Tax Surcharge
                          amount: 41.17
                      totalEmployerTaxes: 658.52
                      netPay: 5907.57
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````